Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » How to fix updates(Problem Updating Java Development Tools)
How to fix updates [message #1061777] Tue, 04 June 2013 00:22 Go to next message
Ken Mising name is currently offline Ken Mising name
Messages: 17
Registered: April 2011
Junior Member
I can't seem to update
Eclipse Java Development Tools and
Eclipse Java EE Developer Tools

I can't get past the following error:

Some sites could not be found. See the error log for more detail.
HTTP Server 'Internal Error': http://dev.eclipse.org/svnroot/dsdp/org.eclipse.tm.tcf/releases/0.3.0/content.xml
HttpClient connection error response code 500.
HTTP Server 'Internal Error': http://dev.eclipse.org/svnroot/dsdp/org.eclipse.tm.tcf/releases/0.4.0/content.xml
HttpClient connection error response code 500.

It is Helios Service Release 2.

It seems unreasonable that I have to uninstall and reinstall Eclipse just to get this update to work correctly.
Re: How to fix updates [message #1061949 is a reply to message #1061777] Wed, 05 June 2013 06:03 Go to previous messageGo to next message
shankha banerjee is currently offline shankha banerjee
Messages: 29
Registered: February 2013
Junior Member
Hi Ken,
Could you please let us know the SDK version and the version you re trying to upgrade to ?

Thanks
Re: How to fix updates [message #1062050 is a reply to message #1061949] Wed, 05 June 2013 14:47 Go to previous messageGo to next message
Ken Mising name is currently offline Ken Mising name
Messages: 17
Registered: April 2011
Junior Member
This is the info from the error log:

Cannot complete the install because of a conflicting dependency.
Software being installed: Eclipse Java Development Tools 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1 (org.eclipse.jdt.feature.group 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1)
Software currently installed: Eclipse IDE for PHP Developers 1.3.2.20110301-1807 (epp.package.php 1.3.2.20110301-1807)
Only one of the following can be installed at once:
Eclipse IDE UI Application 1.0.201.M20100707-0800 (org.eclipse.ui.ide.application 1.0.201.M20100707-0800)
Eclipse IDE UI Application 1.0.200.I20100601-0800 (org.eclipse.ui.ide.application 1.0.200.I20100601-0800)
Eclipse IDE UI Application 1.0.300.I20110306-2000 (org.eclipse.ui.ide.application 1.0.300.I20110306-2000)
Cannot satisfy dependency:
From: Eclipse IDE for PHP Developers 1.3.2.20110301-1807 (epp.package.php 1.3.2.20110301-1807)
To: org.eclipse.epp.package.php.feature.feature.group [1.3.2.20110301-1807]
Cannot satisfy dependency:
From: EPP PHP Feature 1.3.2.20110301-1807 (org.eclipse.epp.package.php.feature.feature.group 1.3.2.20110301-1807)
To: org.eclipse.platform.feature.group [3.6.2.r362_v20110210-9gF78Gs1FrIGnHDHWkEcopoN8AmxeZflGDGKQi]
Cannot satisfy dependency:
From: Eclipse Java Development Tools 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1 (org.eclipse.jdt.feature.group 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1)
To: org.eclipse.platform.feature.group 3.7.2
Cannot satisfy dependency:
From: Eclipse Platform 3.6.2.r362_v20110210-9gF78Gs1FrIGnHDHWkEcopoN8AmxeZflGDGKQi (org.eclipse.platform.feature.group 3.6.2.r362_v20110210-9gF78Gs1FrIGnHDHWkEcopoN8AmxeZflGDGKQi)
To: org.eclipse.ui.ide.application [1.0.201.M20100707-0800]
Cannot satisfy dependency:
From: Eclipse Platform 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q (org.eclipse.platform.feature.group 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q)
To: org.eclipse.ui.ide.application [1.0.300.I20110306-2000]
Re: How to fix updates [message #1062108 is a reply to message #1062050] Thu, 06 June 2013 05:08 Go to previous messageGo to next message
shankha banerjee is currently offline shankha banerjee
Messages: 29
Registered: February 2013
Junior Member
Hi Ken,
From this error log, I cannot determine which version you are trying to update to.

Could you please specify which site you are using to update your JDT tools.

I have uploaded a pdf which specifies the site and the way to go about the update.

Thanks
  • Attachment: tmp.pdf
    (Size: 156.43KB, Downloaded 125 times)
Re: How to fix updates [message #1062242 is a reply to message #1062108] Thu, 06 June 2013 16:27 Go to previous messageGo to next message
Stephan Herrmann is currently offline Stephan Herrmann
Messages: 1007
Registered: July 2009
Senior Member
My interpretation is:
You have PHP support which requires platform 3.6.2 (Helios)
You're trying to install JDT 3.7.2 which requires platform 3.7.2 (Indigo)
=> hence the conflicting dependencies.

It might work OK if you at the same time update your PHP tooling (i.e., Eclipse IDE for PHP Developers) to the Indigo version.
Re: How to fix updates [message #1062252 is a reply to message #1062242] Thu, 06 June 2013 17:55 Go to previous messageGo to next message
Ken Mising name is currently offline Ken Mising name
Messages: 17
Registered: April 2011
Junior Member
I know why it's failing. I want to know how to change the sites that it uses to update and what the best sites to use are.
Re: How to fix updates [message #1062258 is a reply to message #1062108] Thu, 06 June 2013 19:18 Go to previous messageGo to next message
Ken Mising name is currently offline Ken Mising name
Messages: 17
Registered: April 2011
Junior Member
I tried your method. It does not work.
index.php/fa/15175/0/
Re: How to fix updates [message #1062293 is a reply to message #1062258] Fri, 07 June 2013 05:42 Go to previous messageGo to next message
shankha banerjee is currently offline shankha banerjee
Messages: 29
Registered: February 2013
Junior Member
Hi Ken,

Are you trying to update from the indigo site or helios site.

Indigo - http://download.eclipse.org/releases/indigo/

Thanks
Re: How to fix updates [message #1062297 is a reply to message #1062293] Fri, 07 June 2013 06:36 Go to previous messageGo to next message
Ken Mising name is currently offline Ken Mising name
Messages: 17
Registered: April 2011
Junior Member
I'm using Helios.

Also, no matter which one I use, it says the latest version is already installed.

[Updated on: Fri, 07 June 2013 06:41]

Report message to a moderator

Re: How to fix updates [message #1062298 is a reply to message #1062297] Fri, 07 June 2013 06:39 Go to previous messageGo to next message
shankha banerjee is currently offline shankha banerjee
Messages: 29
Registered: February 2013
Junior Member
As Stephan mentioned in his comment.
"You're trying to install JDT 3.7.2 which requires platform 3.7.2 (Indigo)
=> hence the conflicting dependencies.

It might work OK if you at the same time update your PHP tooling (i.e., Eclipse IDE for PHP Developers) to the Indigo version.
Re: How to fix updates".

So could you try using the Indigo link for the updation.

Thanks
Re: How to fix updates [message #1062300 is a reply to message #1062298] Fri, 07 June 2013 06:44 Go to previous messageGo to next message
Ken Mising name is currently offline Ken Mising name
Messages: 17
Registered: April 2011
Junior Member
Ok. I'll just update Eclipse to Juno.

It would have been really helpful to know that core Eclipse needed to be updated.
It's really annoying to have updates fail here without a clearer idea.
Re: How to fix updates [message #1062301 is a reply to message #1062300] Fri, 07 June 2013 06:49 Go to previous messageGo to next message
shankha banerjee is currently offline shankha banerjee
Messages: 29
Registered: February 2013
Junior Member
No Message Body

[Updated on: Fri, 07 June 2013 06:58]

Report message to a moderator

Re: How to fix updates [message #1062308 is a reply to message #1062301] Fri, 07 June 2013 07:03 Go to previous messageGo to next message
Ken Mising name is currently offline Ken Mising name
Messages: 17
Registered: April 2011
Junior Member
I tried the link you gave for Indigo. It didn't help the update.
I'm just going to uninstall Helios and Install Juno.

This method of updating really stinks.
Re: How to fix updates [message #1062474 is a reply to message #1062308] Fri, 07 June 2013 22:09 Go to previous messageGo to next message
Stephan Herrmann is currently offline Stephan Herrmann
Messages: 1007
Registered: July 2009
Senior Member
you're complaining about software that is basically 3 years old
(and you hardly provided enough information for us to help you).
We all know that in those days updating had many problems,
but in 2013 the world looks different.
Should I recommend you to wait just less than 3 weeks to do the
jump all the way to Eclipse 4.3 (Kepler)?
Re: How to fix updates [message #1062479 is a reply to message #1062474] Fri, 07 June 2013 22:27 Go to previous messageGo to next message
Ken Mising name is currently offline Ken Mising name
Messages: 17
Registered: April 2011
Junior Member
How much more can I give you than what the app gives me in the log output?

I am expressing frustration at getting help and zeroing in on the problem.
Either hear it or ignore it. Why complain about my expression of frustration?

It's a great piece of work and it has some flaws that have slowed me down.
I AM FRUSTRATED.

Most of the offers of solution are things I have tried already on my own. Out of respect, I tried again and they still failed. I turned off automatic updates for just this reason.

Troubleshooting problems without help is unnecessarily difficult with this tool.
If I had the time, away from my own life and projects, I would offer more incisive thoughts on what could be improved. I don't have free time to offer though.

I can continue the work I am currently doing, with what I have, therefore I will wait until July to uninstall/reinstall, as you suggest.

Thanks.
Re: How to fix updates [message #1064237 is a reply to message #1062479] Tue, 18 June 2013 10:51 Go to previous messageGo to next message
Stephan Herrmann is currently offline Stephan Herrmann
Messages: 1007
Registered: July 2009
Senior Member
Hi Ken,

As you took the time to explain your situation you certainly deserve an answer (note, I, too, do this in my spare time).

Concerning information about the failure: to help others understand your problem basically takes three steps:
1. explain the exact situation that you are starting from (here: what exactly is installed at what versions, type of install (shared vs. private), etc.)
2. explain what you are trying to do (incl.: what software repositories do you use for updating, how did you invoke the update / install etc.)
3. show us what exactly happened

With the information you provided there was too much left for us to guess, and we were just not successful to guess anything that could explain exactly what happened on your machine.

best,
Stephan

Re: How to fix updates [message #1064243 is a reply to message #1064237] Tue, 18 June 2013 11:41 Go to previous message
Ken Mising name is currently offline Ken Mising name
Messages: 17
Registered: April 2011
Junior Member
Ok. That's reasonable.
Previous Topic:UI Template based code formatter
Next Topic:CompilationParticipant and Markers in Problems View
Goto Forum:
  


Current Time: Tue Sep 16 09:45:43 GMT 2014

Powered by FUDForum. Page generated in 0.02295 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software